%global srcname urllib2_kerberos

Name:           python-%{srcname}
Version:        0.1.6
Release:        26%{?dist}
Summary:        Kerberos over HTTP Negotiate/SPNEGO support for urllib2

Group:          Development/Languages
License:        ASL 2.0
URL:            http://pypi.python.org/pypi/%{srcname}/
Source0:        http://pypi.python.org/packages/source/u/%{srcname}/%{srcname}-%{version}.tar.gz
# From https://bitbucket.org/tolsen/urllib2_kerberos/issue/1/
Patch0:         multiple-auth-headers.patch
# From https://bitbucket.org/tolsen/urllib2_kerberos/pull-request/2/
# UNUSED breaks debugging ... RHBZ #1185370
Patch1:         allow_client_apps_to_configure_loggers.patch
# From https://github.com/mcepl/urllib2_kerberos/commit/7b52c4c749
# also https://bugzilla.redhat.com/show_bug.cgi?id=1065576
Patch2:         dont-panick-if-we-succeed.patch
# From https://bugzilla.redhat.com/show_bug.cgi?id=578711
Patch3:         port-to-python-2.4.patch

BuildArch:      noarch
BuildRequires:  python2-devel
BuildRequires:  python2-setuptools

%global _description\
urllib2 with kerberos authentication.

%description %_description

%package -n python2-%{srcname}
Summary: %summary
Requires:       python2-kerberos
%{?python_provide:%python_provide python2-%{srcname}}

%description -n python2-%{srcname} %_description

%prep
%setup -q -n %{srcname}-%{version}

%patch0 -p1
%patch2 -p1

%if 0%{?rhel} == 5
%patch3 -p1
%endif

# Remove "#!/usr/bin/python\n"
lib=urllib2_kerberos.py
sed '1{\@^#!/usr/bin/python@d}' $lib > $lib.new && \
touch -r $lib $lib.new && mv $lib.new $lib


%build
%py2_build


%install
%py2_install


%files -n python2-%{srcname}
%{python2_sitelib}/%{srcname}*

# TODO this should be fix for #1065576, #578711, and #1115513

%changelog
* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.6-26
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Mon Feb 12 2018 Iryna Shcherbina <ishcherb@redhat.com> - 0.1.6-25
- Update Python 2 dependency declarations to new packaging standards
  (See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3)

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.6-24
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Sat Aug 19 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.1.6-23
- Python 2 binary package renamed to python2-urllib2_kerberos
  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3

* Fri Aug 11 2017 Iryna Shcherbina <ishcherb@redhat.com> - 0.1.6-22
- Add a build-time dependency on python2-devel and modernize spec file

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.6-21
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.6-20
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.6-19
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.6-18
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.6-17
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Fri Jan 23 2015 Matej Cepl <mcepl@redhat.com> - 0.1.6-15
- Don’t change debugging level ... RHBZ #1185370

* Wed Oct 08 2014 Steve Traylen <steve.traylen@cern.ch> - 0.1.6-14
- Remove debug from add-logging.patch. #1065576

* Thu Jul 03 2014 Matěj Cepl <mcepl@redhat.com> - 0.1.6-13
- Fix logging format for Python 2.6 (#1065576)

* Mon Jun 30 2014 Toshio Kuratomi <toshio@fedoraproject.org> - 0.1.6-12
- Replace python-setuptools-devel BR with python-setuptools

* Tue Jun 10 2014 Matěj Cepl <mcepl@redhat.com> - 0.1.6-11
- Add all patches I could find.
- Also add RHEL5 patch porting to python 2.4 (RHBZ# 578711)

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.6-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.6-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.6-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Tue Nov 27 2012 Tomas Dabasinskas <tomas@redhat.com> - 0.1.6-7
- python-kerberos is required by this package

* Wed Jul 11 2012 Tomas Dabasinskas <tomas@redhat.com> - 0.1.6-6
- Rebuilding retired package
- fixed spec file to comply with fedora-review

* Thu Jul 22 2010 David Malcolm <dmalcolm@redhat.com> - 0.1.6-5
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.6-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Jun 18 2009 Matěj Cepl <mcepl@redhat.com> - 0.1.6-3
- don't preserve attributes of the file you modified.

* Wed Jun 17 2009 Matěj Cepl <mcepl@redhat.com> - 0.1.6-2
- add BuildRequires: python-setuptools-devel.

* Thu Jun 11 2009 Matěj Cepl <mcepl@redhat.com> - 0.1.6-1
- Initial packaging effort
